<template>
  <AppSelect
    :classes="classes"
    :options="options"
    :theme="theme"
    label="code">
    <template
      slot="option"
      slot-scope="{ option }">
      <div class="multiselect__option-flag">
        <span class="flag">
          <img
            class="flag"
            :src="'/bundles/gisautoweb/images/country_flags/country_' + option.id + '.svg'">
        </span>
        {{ option.name }}
      </div>
    </template>
  </AppSelect>
</template>

<script>
import AppSelect from '~/components/redesign/app-select/app-select';

export default {
  name: 'AppSelectCurrency',
  components: {
    AppSelect,
  },
  props: {
    theme: {
      type: String,
      default: null,
    },
    options: {
      type: Array,
      default() {
        return [];
      },
    },
  },
  computed: {
    classes() {
      const classes = ['multiselectCurrency'];
      this.theme === 'darker' && classes.push('multiselectThemeDarker');

      return classes;
    },
  },
};
</script>

<style lang="postcss">
  .multiselectCurrency {
    width: 3.625rem;
    min-width: 3.625rem;
    height: auto;
    font-size: 0.75rem;
    line-height: 1;
    cursor: pointer;

    .multiselect {
      &__tags {
        padding: 0 1rem 0 0.75rem;
        border-radius: 0;
        box-shadow: none;
        border: none;
      }

      &__select {
        width: 1.75rem;
        > .svg {
          width: 0.5rem;
          height: auto;
        }
      }

      &__content-wrapper {
        width: auto;
      }

      &__element {
        white-space: nowrap;
      }

      &__option-flag {
        display: flex;
        align-items: center;

        > .flag {
          display: flex;
          align-items: center;
          margin-right: 0.625rem;
          width: 1.4375rem;
          height: 0.9375rem;
          border-radius: 0.125rem;
          overflow: hidden;
          img {
            width: 102%;
            height: auto;
          }
        }
      }
    }

    @media (--viewport-large) {
      .multiselect__option {
        padding-top: 0.5rem;
        padding-bottom: 0.5rem;
      }
    }
  }

  /* ONLY COLOR */

  .multiselectCurrency,
  .multiselectCurrency.multiselect--selected {
    .multiselect {
      &__tags {
        background-color: transparent;
      }

      &__tags, &__placeholder, &__input, &__single {
        color: var(--header-link-color);
        transition: fill .1s var(--transition-easeOutQuad);
      }

      &__select > .svg {
        fill: var(--header-link-color);
      }
    }

    &:hover {
      .multiselect {
        &__tags, &__placeholder, &__input, &__single {
          color: var(--header-link-hover-color);
        }

        &__select > .svg {
          fill: var(--header-link-hover-color);
        }
      }
    }

    &.multiselect--active {
      .multiselect {
        &__tags {
          background-color: var(--bg-main);
        }

        &__tags, &__placeholder, &__input, &__single {
          color: var(--color-main);
        }

        &__select > .svg {
          fill: var(--color-main);
        }
      }
    }
  }

</style>
